org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface TabSelector

    public interface TabSelector

This interface allows clients to provide various strategies for selecting a Chromium tab to debug.

### Method Summary

All Methods Instance Methods Abstract Methods
`Browser.TabConnector` `selectTab(Browser.TabFetcher tabFetcher)`

### Method Detail

#### selectTab

    Browser.TabConnector selectTab(Browser.TabFetcher tabFetcher)
                            throws java.io.IOException

Parameters:
  `tabFetcher` - that is used to download list of tabs; list of tabs may be reloaded if needed
Returns:
  a tab to debug, or null if the launch configuration should not proceed attaching to a Chromium tab
Throws:
  `java.io.IOException` - if tabFetcher got network problems downloading tabs